org.apache.commons.math3.optimization.direct

## Class MultivariateFunctionMappingAdapter.NoBoundsMapper

- java.lang.Object
- - org.apache.commons.math3.optimization.direct.MultivariateFunctionMappingAdapter.NoBoundsMapper

All Implemented Interfaces:
  MultivariateFunctionMappingAdapter.Mapper

Enclosing class:
  MultivariateFunctionMappingAdapter

    private static class MultivariateFunctionMappingAdapter.NoBoundsMapper
    extends Object
    implements MultivariateFunctionMappingAdapter.Mapper

Local class for no bounds mapping.

### Constructor Summary

Constructors
Constructor and Description
`MultivariateFunctionMappingAdapter.NoBoundsMapper()` Simple constructor.

### Method Summary

Methods
`double` `boundedToUnbounded(double x)` Map a value from bounded to unbounded.
`double` `unboundedToBounded(double y)` Map a value from unbounded to bounded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultivariateFunctionMappingAdapter.NoBoundsMapper

    public MultivariateFunctionMappingAdapter.NoBoundsMapper()

Simple constructor.

### Method Detail

#### unboundedToBounded

    public double unboundedToBounded(double y)

Map a value from unbounded to bounded.

Specified by:
  `unboundedToBounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
Parameters:
  `y` - unbounded value
Returns:
  bounded value

#### boundedToUnbounded

    public double boundedToUnbounded(double x)

Map a value from bounded to unbounded.

Specified by:
  `boundedToUnbounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
Parameters:
  `x` - bounded value
Returns:
  unbounded value